For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
      • POSTSend a WhatsApp message
      • GETGet all your WhatsApp activity (unaggregated events)
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Transactional WhatsAppTransactional WhatsApp

Send a WhatsApp message

POST
https://api.brevo.com/v3/whatsapp/sendMessage
POST
/v3/whatsapp/sendMessage
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.transactionalWhatsApp.sendWhatsappMessage();
8}
9main();
1{
2 "messageId": "23befbae-1505-47a8-bd27-e30ef739f32c"
3}
<Note>You can use this API for WhatsApp only if you have setup your WhatsApp account on Brevo platform. To setup your WhatsApp account, follow the steps in the guide below. [Activating Whatsapp](https://developers.brevo.com/docs/whatsapp-campaigns-1) in your account</Note> This endpoint is used to send a WhatsApp message. <br/>(**The first message you send using the API must contain a Template ID. You must create a template on WhatsApp on the Brevo platform to fetch the Template ID.**)
Was this page helpful?
Previous

Get all your WhatsApp activity (unaggregated events)

Next
Built with

You can use this API for WhatsApp only if you have setup your WhatsApp account on Brevo platform. To setup your WhatsApp account, follow the steps in the guide below. Activating Whatsapp in your account
This endpoint is used to send a WhatsApp message.
(The first message you send using the API must contain a Template ID. You must create a template on WhatsApp on the Brevo platform to fetch the Template ID.)

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Request

Values to send WhatsApp message
objectRequired
OR
objectRequired

Response

successfully created
messageIdstringformat: "uuidv4"
messageId of sent message

Errors

400
Bad Request Error